Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Sat, 19 Nov 2022 09:27:16 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns This is not the first time that I am complaining about this issue. I have created a return request for order number 9588698485 more than a month ago. But until today no one has come to pick up the items and hence even my money is not refunded yet. I have complained to the call centre as well but no action. And even for previous orders I had the same experience. And at last I had to visit the store multiple times just because the courier never showed up. Also if I raise return request for more than one order the courier still picks up only one order and leaves the rest of all the items because his system is not updated. This is so disappointing. It clearly shows that MAX does not value it’s customer’s time and money. Extremely disappointed. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5267350